class ifstream;
class ofstream;

enum boolean { FALSE, TRUE};



class TRHelpBuilder
{
  public: /*methods*/
    TRHelpBuilder();
    boolean BuildTargetFile(ifstream& input);
    boolean BuildLocFile(ofstream& input, ofstream& location);
    void    SetVerboseFlag( boolean v);
    void    GetErrorText( char* text);
  private: /*methods*/
    char readline( char* string, ifstream &file);
    int  readint( ifstream &file);
    int Str2Int( const char* string);
        /*attributes*/
    const char tagMark     = '*';
    const char linkMark    = '#';
    const char escapeMark  = '\\';
    const char commentMark = '!';
    const int  tagSize     = 10;
    const int  TRHMaxRef   = 300;
    boolean    verbose;
    char       ErrorText[30];
};











